# QDial Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractSlider.

### Constructor

- void QDial(QWidget parent)

### Constructor Properties

- prototype: The QDial prototype object

### Prototype Object Properties

The QDial prototype object inherits properties from the QAbstractSlider prototype object and also has the following properties.

- QSize minimumSizeHint()
- void setNotchTarget(double target)
- QSize sizeHint()

### Instance Properties

QDial objects inherit properties from the QDial prototype object and also have the following properties.

- wrapping
- notchSize
- notchTarget
- notchesVisible